petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMPISELLGetLocalMatCondensed

Creates a SeqSELL matrix from an MATMPISELL matrix by taking all its local rows and NON-ZERO columns

### Synopsis

    #include "petscmat.h"
    #include "petscmat.h"
    PetscErrorCode MatMPISELLGetLocalMatCondensed(Mat A,MatReuse scall,IS *row,IS *col,Mat *A_loc)

Not Collective

### Input Parameters

| A | - the matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| row, col | - index sets of rows and columns to extract (or NULL)

### Output Parameter

A_loc -the local sequential matrix generated

### See Also

MatGetOwnershipRange(), MatMPISELLGetLocalMat()

### Level

developer

### Location

src/mat/impls/sell/mpi/mpisell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages